#pragma once

#include <QImage>
#include <QQuickPaintedItem>

class VideoItem : public QQuickPaintedItem
{
   Q_OBJECT

public:
   explicit VideoItem(QQuickItem *parent = nullptr);

   void paint(QPainter *painter) override;
   void setFrame(const QImage &frame);
   void clearFrame();

private:
   QImage m_frame;
};
